Package org.eclipse.graphiti.tb

# Interface IImageDecorator

All Superinterfaces:
  `IDecorator`, `ILocation`

All Known Implementing Classes:
  `ImageDecorator`

public interface IImageDecorator extends IDecorator, ILocation
Image decorators can be used to add an image to the visualization of a shape without modifying the dirty state of the displaying editor, see `IDecorator`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getImageId()`
Gets the image id of the image used to decorate a shape.

### Methods inherited from interface org.eclipse.graphiti.tb.IDecorator

`getMessage, setMessage`

### Methods inherited from interface org.eclipse.graphiti.datatypes.ILocation

`getX, getY, setX, setY`

## Method Details

### getImageId

String getImageId()
Gets the image id of the image used to decorate a shape.

Returns:
  a `String` holding the image id